html, body {
    font-family: "Open Sans", sans-serif;
    margin: 0;
}

nav {
    z-index: 999;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

a {
    word-break: break-word;
    font-weight: 500;
    color: var(--color-text);
    text-decoration: underline;
}

/* Apply styles to all tables except those within the sprbrk-grid component */
.api-docs td:first-child,
.api-docs th:first-child {
    border-left: none;
}

.api-docs th {
    font-family: "Open Sans", sans-serif;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    line-height: 22px;
    font-weight: 400;
    letter-spacing: .04em;
    text-decoration: inherit;
    text-transform: inherit;
    background: var(--color-background);
    border-top: none;
    color: var(--color-text);
    text-align: left;
}

.api-docs td,
.api-docs th {
    border: 1px solid var(--color-accent);
    border-top-color: var(--color-accent);
    border-top-style: solid;
    border-top-width: 1px;
    border-left-color: var(--color-accent);
    border-left-style: solid;
    border-left-width: 1px;
    padding: 12px 12px 12px 24px;
}

div.e-datepicker td, div.e-datepicker th {
    border: unset;
    padding: unset;
}

div.e-datepicker th {
    margin-right: 3px;
}

code[class*="language-"] {
    font-family: "Open Sans", sans-serif;
    font-size: 90%;
}

.article {
    padding: 0 1.25rem;
}

    .article .demo-text-field {
        text-align: justify;
    }

.demo-link {
    cursor: pointer;
    text-decoration: underline;
}

.demo-field {
    background-color: var(--color-background);
    padding: 32px;
    margin: 1.5rem 0;
    border: 1px solid var(--color-accent);
    border-radius: 4px;
}

.demo-field--component {
    margin: 2.5rem auto;
    color: var(--color-text);
}

.demo-field--simple-component {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 2.5rem auto;
    color: var(--color-text);
}

.demo-field--vertical-alignment {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 2.5rem auto;
    color: var(--color-text);
}

/*Card demo*/
.demo-card {
    width: 350px;
}

    .demo-card.demo-card__icon {
        width: 250px;
    }

    .demo-card.demo-card__icon--responsive {
        min-width: 0;
    }

/*Grid and TreeGrid demo*/
.demo-field-template td {
    padding: 0;
}

.demo-field-template table {
    display: table;
    margin: 0;
    border: none;
}

.demo-field-custom-template table {
    display: table;
    margin: 0;
    border: none;
}

.demo-field-custom-template .e-detail-intent {
    width: 150px !important;
}

.is-parent-row {
    background-color: #6f6edb;
}

.is-child-row {
    background-color: #fce667;
}

/*Inputs demo*/
.demo-input-text-field {
    width: 300px;
}

.demo-input-field--block {
    max-width: 300px;
    margin-bottom: 2.5rem;
}

.demo-validation {
    margin: 2.5rem auto;
}

.warning-message {
    color: red;
}

/*Demo*/
.l-content--col-2 {
    width: 600px;
    display: grid;
    grid-row-gap: 1em;
    justify-items: center;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 0.5rem;
}

.demo-selection-controls {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 1rem;
}

.blazored-modal-container{
    z-index: 1001;
}